'use strict';

//根组件
function App() {
  return (
    <div>
      <div className="banner"></div>
      {/* 导语 */}
      <IntroWords></IntroWords>
      {/* 专辑视频 */}
      <EpVideo></EpVideo>
      <EpVersion></EpVersion>
      <EpGoods></EpGoods>
      <EpGifts></EpGifts>
      <Foot></Foot>
    </div>
  );
}

//导语
function IntroWords() {
  return (
    <div className="intro row">
      <div className="col-md-6 col-md-offset-2 col-xs-10 col-xs-offset-1">
        <p>SNH48 GROUP第33张全新原创EP，暨SNH48 GROUP年度青春盛典,</p>
        <p>专属夏季EP《爱的回响》热烈回归！时隔三年再度远赴海外拍摄MV，</p>
        <p>由创作团队ZANYBROS倾情操刀，欢快的律动、真挚的情感、多样的曲风，</p>
        <p>让我们共同迎接令人无法拒绝的夏日热忱！</p>
      </div>
      <div className="col-md-3 col-xs-10 ">
        <img src="img/title_intro.png" alt="" />
      </div>
    </div>
  );
}

//ep-视频
function EpVideo() {
  let ElOne = '';
  let ElTwo = '';
  const handleOne = throttle(function () {
    openLayerTips(
      `<div>
      <p>幻想着四目相对</p>
      <p>心动得多么干脆</p>
      <p>Lovely echo My echo To lover</p>
      <p>添加暧昧的结尾</p>
      <p>让夏天更加完美</p>
      <p>Lovely echo My echo Now make you know</p>
    </div>`,
      ElOne
    );
  }, 300);
  const handleTwo = throttle(function () {
    openLayerTips(
      `<div>
      <p>Call My Name</p>
      <p>也终于明白后来故事也很美</p>
      <p>沉默无垠的日子也绝不会向下坠</p>
      <p>人生的奇遇偶尔伴随着伤痕累累</p>
      <p>曾留下的汗与泪 在暗夜交集成辉</p>
    </div>`,
      ElTwo
    );
  }, 300);
  return (
    <div className="ep-mv row">
      <div className="video-box col-md-6">
        <img className="img-fluid" src="img/mv_init.jpg" alt="" />
        {/* <iframe
          src="//player.bilibili.com/player.html?aid=930787080&bvid=BV1pK4y1R78e&cid=343958089&page=1"
          scrolling="no"
          border="0"
          frameborder="no"
          framespacing="0"
          allowfullscreen="true"
          width="100%"
          height="100%"
        ></iframe> */}
      </div>
      <div className="video-intro col-md-5">
        <div className="img-box">
          <div
            className="area-one"
            onMouseEnter={handleOne}
            ref={(el) => (ElOne = el)}
          ></div>
          <div
            className="area-two"
            onMouseEnter={handleTwo}
            ref={(el) => (ElTwo = el)}
          ></div>
          <img className="img-fluid" src="img/ep_title.png" alt="" />
        </div>
        <h3>☆ 爱的回响（Lovely echo）</h3>
        <p>
          由意大利作曲家 Gionata Caracciolo
          为少女们量身打造。Funky复古舞曲风格明朗又不失节奏感，像是清甜的海风欢快拂过，将专属于夏日的浪漫悸动带到大家面前。不妨快伴随着夏天的序幕拉起，一同来聆听这首令人心动的浪漫《爱的回响》！
        </p>
        <h3>☆ Call My Name（未完待续）</h3>
        <p>
          这是SNH48 GROUP
          成员们写给舞台的一封情书，是她们对被包围着的爱意的一次爱的回应。无论低谷或是顶峰，逆境还是坦途，总有人不离不弃，总有些灯光为她点亮。那些对我名字的呼喊，是支撑自己走过长夜的烛火，亦是繁华散场时的归处。
        </p>
      </div>
    </div>
  );
}

//唱片版本
function EpVersion() {
  let epArr = [
    {
      title: '竞价精装版',
      type: '竞价',
      imgUrl: 'img/jjjz.jpg',
      date: '2023.05.19',
      time: '17:00',
      price: 288,
      btnWorld: '查看详情',
      btnLink: '',
      html: `<div class="layer-style-container">
              <h2>
                <b>《爱的回响》竞价精装版</b>
                <i>05/19 17:00 竞价</i>
              </h2>
              <div class="content-box">
                <div class="pic">
                  <img src="img/jjjz.jpg" ><br><i>图片供参考，以实物为准</i>
                </div>
                <div class="content">
                  <dl>
                    <dt>内含：</dt>
                    <dd>1本《SNH48GROUP海外旅行日记》写真集（签名版）、1张内封生写（随机）、附赠3张计分卡（每张计分卡可为作品计1分）、2张握手券</dd>
                  </dl>
                  <p class="info">
                    <b>＊ 精装版内封生写收录了20名成员（20名成员，每人1款，无合影。）</b>
                  </p>
                  <p class="info">
                  </p>
                  <p class="sale">
                    竞价<b>288</b>元起
                    <a href="https://shop.48.cn/pai?key=%E7%88%B1%E7%9A%84%E5%9B%9E%E5%93%8D" target="_blank" class="btn" >
                      参与竞价
                    </a>
                  </p>
                </div>
              </div>
            </div>`,
    },
    {
      title: '精装版',
      type: '销售',
      imgUrl: 'img/jzb.png',
      date: '2023.05.19',
      time: '11:00',
      price: 288,
      btnWorld: '查看详情',
      btnLink: '',
      html: `<div class="layer-style-container">
              <h2>
                <b>《爱的回响》精装版</b>
                <i>05/19 11:00 预售</i>
              </h2>
              <div class="content-box">
                <div class="pic">
                  <img src="img/jzb.png" ><br><i>图片供参考，以实物为准</i>
                </div>
                <div class="content">
                  <dl>
                    <dt>内含：</dt>
                    <dd>《SNH48 GROUP 海外旅行日记》写真集1本、内封生写1张（随机），随碟附赠SNH48 GROUP年度青春盛典作品评选专属计分卡3张（每张计分卡可为作品计1分）、以及握手券2张。</dd>
                  </dl>
                  <p class="info">
                    <b>＊ 精装版内封生写收录了20名成员（20名成员，每人1款，无合影。）</b>
                  </p>
                  <p class="info">
                    
                  </p>
                  <p class="sale">
                  预售<b>288</b>元
                    <a href="https://shop.48.cn/goods/item/11028" target="_blank" class="btn">
                      立即购买
                    </a>
                  </p>
                </div>
              </div>
            </div>`,
    },
    {
      title: '标准版',
      type: '销售',
      imgUrl: 'img/bz.png',
      date: '2023.05.20',
      time: '11:00',
      price: 78,
      btnWorld: '查看详情',
      btnLink: '',
      html: `<div class="layer-style-container">
              <h2>
                <b>《爱的回响》标准版</b>
                <i>05/20 11:00 现货</i>
              </h2>
              <div class="content-box">
                <div class="pic">
                  <img src="img/bz.png" ><br><i>图片供参考，以实物为准</i>
                </div>
                <div class="content">
                  <dl>
                    <dt>内含：</dt>
                    <dd>《爱的回响》CD 1张、歌词本1本、内封生写1张（随机）、随碟附赠：SNH48 GROUP年度青春盛典作品评选专属计分卡1张（每张计分卡可为作品计1分）及握手券1张</dd>
                  </dl>
                  <p class="info">
                    <b>＊ 内封生写共收录了SNH48 GROUP共163名成员形象：<br>
                    1、 选拔组20人，单人每人2款，合影10款<br>
                    2、 非选拔组143人，每人2款<br>
                    </b>
                  </p>
                  <p class="info">
                    <i>特别提醒：</i><br>
                    1.购买最新EP《爱的回响》标准版、捐赠版的用户，根据您的下单顺序，官方每销售20张唱片将随机赠送合影券或签名券1张。<br>
                    2.一张合影券仅能和一位成员合影一次，一张签名券仅能由一位成员签名EP唱片。<br>
                    3.本次购买EP唱片所赠送的合影券、签名券仅限在“《爱的回响》EP发售纪念专场握手会”活动现场使用，逾期未使用自动视为无效。<br>
                    4.同一ID下单后半小时内不付款，造成订单取消达到3次以上，官方将保留将ID拉入黑名单的权利。
                  </p>
                  <p class="sale">
                    售价<b>78</b>元
                    <a href="https://shop.48.cn/goods/item/11029" target="_blank"  class="btn" >
                      立即购买
                    </a>
                  </p>
                </div>
              </div>
            </div>`,
    },
    {
      title: '捐赠版',
      type: '销售',
      imgUrl: 'img/jz.png',
      date: '2023.05.20',
      time: '11:00',
      price: 78,
      btnWorld: '查看详情',
      btnLink: '',
      html: `<div class="layer-style-container">
              <h2>
                <b>《爱的回响》捐赠版</b>
                <i>05/20 11:00 现货</i>
              </h2>
              <div class="content-box">
                <div class="pic">
                  <img src="img/jz.png" ><br><i>图片供参考，以实物为准</i>
                </div>
                <div class="content">
                  <dl>
                    <dt>内含：</dt>
                    <dd>封套1个、内封生写1张、随碟附赠：SNH48 GROUP年度青春盛典作品评选专属计分卡1张（每张计分卡可为作品计1分）及握手券1张</dd>
                  </dl>
                  <p class="info">
                    <b>＊ 内封生写共收录了SNH48 GROUP共163名成员形象：<br>
                    1、 选拔组20人，单人每人2款，合影10款<br>
                    2、 非选拔组143人，每人2款<br>
                    </b>
                  </p>
                  <p class="info">
                    <i>特别提醒：</i><br>
                    1.购买最新EP《爱的回响》标准版、捐赠版的用户，根据您的下单顺序，官方每销售20张唱片将随机赠送合影券或签名券1张。<br>
                    2.一张合影券仅能和一位成员合影一次，一张签名券仅能由一位成员签名EP唱片。<br>
                    3.本次购买EP唱片所赠送的合影券、签名券仅限在“《爱的回响》EP发售纪念专场握手会”活动现场使用，逾期未使用自动视为无效。<br>
                    4.同一ID下单后半小时内不付款，造成订单取消达到3次以上，官方将保留将ID拉入黑名单的权利。
                  </p>
                  <p class="sale">
                    售价<b>78</b>元
                    <a href="https://shop.48.cn/goods/item/11029" target="_blank" class="btn" >
                      立即购买
                    </a>
                  </p>
                </div>
              </div>
            </div>`,
    },
    {
      title: '全员应援版',
      type: '销售',
      imgUrl: 'img/yy.png',
      date: '2023.05.27',
      time: '11:00',
      price: 1680,
      btnWorld: '查看详情',
      btnLink: '',
      html: `<div class="layer-style-container">
              <h2>
                <b>《爱的回响》全员应援版</b>
                <i>05/27 11:00 现货</i>
              </h2>
              <div class="content-box">
                <div class="pic">
                  <img src="img/yy.png" ><br><i>图片供参考，以实物为准</i>
                </div>
                <div class="content">
                  <dl>
                    <dt>内含：</dt>
                    <dd>1张《爱的回响》CD、1本歌词本（1款）、随碟附赠：SNH48 GROUP年度青春盛典作品评选专属计分卡1张（每张计分卡可为作品最高可计48分）</dd>
                  </dl>
                  <p class="info">
                    <b></b>
                  </p>
                  <p class="sale">
                    售价<b>1680</b>元
                    <a href="https://shop.48.cn/goods/item/11030" target="_blank" class="btn">
                      立即购买
                    </a>
                  </p>
                </div>
              </div>
            </div>`,
    },
  ];
  return (
    <div className="ep-version">
      <div className="ep-desc row">
        <div className="col-md-4 col-xs-12">
          <img className="img-fluid" src="img/version_pic_1.png" alt="" />
        </div>
        <div className="desc-word col-md-7 col-xs-12">
          <h2>
            SNH48
            GROUP第33张原创EP《爱的回响》唱片版本分为标准版、精装版、应援版。
          </h2>
          {/* ❶❷❸❹❺①②③④⑤  */}
          <h3>
            <i>❶</i> 标准版：78元/张
          </h3>
          <p>
            内含：《爱的回响》CD
            1张、歌词本1本、内封生写1张（随机），随碟附赠SNH48
            GROUP年度青春盛典作品评选专属计分卡1张（每张计分卡可为作品计1分）、以及握手券1张。
          </p>
          <h3>
            <i>❷</i> 捐赠版：78元/张
          </h3>
          <p>
            内含：封套1个、内封生写1张、随碟附赠：SNH48
            GROUP年度青春盛典作品评选专属计分卡1张（每张计分卡可为作品计1分）及握手券1张。
          </p>
          <h3>
            <i>❸</i> 精装版：288元/张
          </h3>
          <p>
            内含：《SNH48 GROUP
            海外旅行日记》写真集1本、内封生写1张（随机），随碟附赠SNH48
            GROUP年度青春盛典作品评选专属计分卡3张（每张计分卡可为作品计1分）、以及握手券2张。
          </p>
          <h3>
            <i>❹</i> 应援版：1680元/张
          </h3>
          <p>
            内含：《爱的回响》CD 1张、歌词本1本，随碟附赠SNH48
            GROUP年度青春盛典作品评选专属计分卡1张（每张计分卡可为作品最高可计48分）。
          </p>
        </div>
      </div>
      <div className="ep-detail row">
        <div className="col-md-6 col-md-offset-1">
          <ul>
            {epArr.map((item, index) => {
              return (
                <li key={index}>
                  <EpItem epData={item}></EpItem>
                </li>
              );
            })}
          </ul>
        </div>
        <div className="col-md-5">
          <img className="title img-fluid" src="img/title_version.png" alt="" />
          <img className="img-fluid" src="img/version_pic_2.png" alt="" />
        </div>
      </div>
    </div>
  );
}
//唱片项目
function EpItem({ epData }) {
  const showLayer = function () {
    layerOpen(epData.html);
  };
  if (epData.type === '竞价') {
    return (
      <div className="ep-item">
        <h1>{epData.title}</h1>
        <img src={epData.imgUrl} alt="" />
        <p>
          销售 | {epData.date} {epData.time}
        </p>
        <p>
          竞价 | <em>{epData.price}</em>元起
        </p>
        <div className="check btn" onClick={showLayer}>
          {epData.btnWorld}
        </div>
      </div>
    );
  } else {
    return (
      <div className="ep-item">
        <h1>{epData.title}</h1>
        <img src={epData.imgUrl} alt="" />
        <p>
          销售 | {epData.date} {epData.time}
        </p>
        <p>
          售价 | <em>{epData.price}</em>元
        </p>
        <div className="check btn" onClick={showLayer}>
          {epData.btnWorld}
        </div>
      </div>
    );
  }
}

// 唱片周边
function EpGoods() {
  let goodsArr = [
    {
      goodsName: '先行版主题生写',
      date: '2023.05.18',
      time: '11:00',
      price: 60,
      imgUrl: 'img/goods_sx.png',
      btnWorld: '立即购买',
      btnLink: 'https://shop.48.cn/goods/item/11031',
      detail: '每包含5张生写，1set4张，双人合影10款',
    },
    {
      goodsName: '主题小卡',
      date: '2023.05.20',
      time: '11:00',
      price: 40,
      imgUrl: 'img/goods_xk.png',
      btnWorld: '立即购买',
      btnLink: 'https://shop.48.cn/goods/item/11033',
      detail: '每包含5张小卡(选拔组20人+S/N/H/X+预备)',
    },
    {
      goodsName: '主题潮流包',
      date: '2023.05.20',
      time: '11:00',
      price: 60,
      imgUrl: 'img/goods_clb.png',
      btnWorld: '立即购买',
      btnLink: 'https://shop.48.cn/goods/item/11035',
      detail: '选拔组礼服(1张5寸+1张10寸)',
    },
    {
      goodsName: '剧情版主题生写',
      date: '2023.05.31',
      time: '11:00',
      price: 60,
      imgUrl: 'img/goods_jqsx.png',
      btnWorld: '立即购买',
      btnLink: 'https://shop.48.cn/goods/item/11034',
      detail: '每包含5张生写，1set4张',
    },
  ];
  return (
    <div className="ep-goods row">
      <div className="col-md-3 col-md-offset-2">
        <img className="img-fluid" src="img/title_goods.png" alt="" />
      </div>
      <ul className="col-lg-8 col-lg-offset-2 col-sm-12">
        {goodsArr.map((item, index) => {
          return (
            <li key={index} className="col-md-6">
              <EpGoodsItem goodsData={item}></EpGoodsItem>
            </li>
          );
        })}
      </ul>
    </div>
  );
}
// 唱片周边项
function EpGoodsItem({ goodsData }) {
  return (
    <div>
      <div className="ep-goodsitem">
        <img src={goodsData.imgUrl} alt="" />
        <div className="ep-goods-detail">
          <h3>
            <i>SNH48 GROUP《爱的回响》</i>
            <br />
            {goodsData.goodsName}
          </h3>
          <p>
            销售 | {goodsData.date} {goodsData.time}
          </p>
          <p>
            售价 | <em>{goodsData.price}</em>元
          </p>
          <div
            className="check btn"
            onClick={() => {
              window.open(goodsData.btnLink);
            }}
          >
            {goodsData.btnWorld}
          </div>
        </div>
      </div>
      <p className="goods-detail">{goodsData.detail}</p>
    </div>
  );
}

// 随碟附赠
function EpGifts() {
  return (
    <div className="ep-gifts">
      <div className="ep-g1 row">
        <div className="col-md-5">
          <img
            className="img-fluid"
            style={{ margin: 0 }}
            src="img/gifts_pic_1.png"
            alt=""
          />
        </div>
        <div className="gifts-one col-md-6 col-xs-12">
          <img className="img-fluid" src="img/title_gifts.png" alt="" />
          <div className="gifts-item">
            <img src="img/gifts_nfsx.png" className="img-fluid" alt="" />
            <div className="gifts-desc">
              <h3 className="orange-title">
                <i>SNH48 GROUP夏季专属EP《爱的回响》</i>
                <br />
                内封生写
              </h3>
              <p>＊ 内封生写共收录了SNH48 GROUP共163名成员形象：</p>
              <p>❶ 选拔组20人，单人每人2款，合影10款</p>
              <p>❷ 非选拔组143人，每人2款</p>
            </div>
          </div>
        </div>
      </div>
      {/* gift第二项 */}
      <div className="ep-g2 row">
        <div className="rule col-md-6 col-md-offset-2">
          <h3 className="orange-title">
            <i>SNH48 GROUP夏季专属EP《爱的回响》</i>
            <br />
            计分卡
          </h3>
          <p>❶ 标准版、标准捐赠版包含1张计分卡（每张计分卡可为作品计1分）；</p>
          <p>❷ 全员应援版包含1张计分卡（每张计分卡最高可为作品计48分）；</p>
          <p>
            ❸ 前往 SNH48 GROUP
            年度青春盛典页面输入计分兑换码，参与年度青春盛典优秀作品评选使用；
          </p>
          <p>
            ❹
            计分卡为专属EP附赠，不可单独销售。请在官宣截止日作品计分通道关闭前使用，过期立即失效；
          </p>
          <p>
            ❺ 计分卡不记名、不挂失、遗失不补。为保障您的权益，请在SNH48
            GROUP年度青春盛典活动进行直至最终活动截止期间
            <span className="orange-title">（8月4日24:00截止）</span>
            兑换使用前，妥善保存计分卡。
            <br />
            未能尽到妥善管理计分卡义务，包括不限于在未使用兑换的情况下暴露、发布计分卡二维码、兑换码、条形码，被他人扫码兑换，因此产生的责任或损失自行承担。
          </p>
          <p>
            ❻ &nbsp;
            <span className="orange-title">
              由于丝芭家族十周年演唱会开启时间调整，本次年度青春盛典计分通道关闭时间将提前至8月4日24:00，请大家互相转告，合理规划时间。
            </span>
          </p>
          {/* <div className="xmchange-rule">
            <h1>星梦值转换：</h1>
            <p>
              SNH48
              GROUP年度青春盛典闪耀启动，凡是购买了《绝无仅有的感动》十周年精选专辑获得星梦卡，通过星梦卡兑换星梦值并参与了星梦剧院年度/季度/月度MVP、最佳拍档第二季活动打分，可转换为SNH48
              GROUP年度盛典对应成员的作品计分，
              <em>
                按每400星梦值可转换1年度盛典计分的30%（即400星梦值转换0.3计分）
              </em>
              。
            </p>
          </div> */}
        </div>
        <div className="col-md-2">
          <img className="img-fluid" src="img/gifts_jfk.png" alt="" />
        </div>
      </div>
      {/* 第三项 */}
      <div className="ep-g3 row">
        <div className="col-md-2 col-md-offset-2">
          <img className="img-fluid" src="img/gifts_quan.png" alt="" />
        </div>
        <div className="col-md-5">
          <h1 className="orange-title">
            <i>SNH48 GROUP夏季专属EP《爱的回响》</i>
            <br /> 答谢握手券 ╱ 合影券 ╱ 签名券
          </h1>
          <p>
            ❶
            通过购买标准版、捐赠版、精装版、精装竞价版获得的《爱的回响》答谢握手会活动握手券、合影券、签名券可参与线下《爱的回响》专属答谢见面会；
          </p>
          <p>
            ❷
            专属答谢见面会结束后，仍未使用的合影券、签名券将自动作废，握手券将转为一年有效期全国版；
          </p>
          <p>
            ❸
            一张合影券仅可供1人在见面会获得1次与成员在指定区域合影的机会，一张签名券仅可供1人在见面会获得1名成员在指定产品或周边上签名的资格。
          </p>
          <div className="more-rule">
            <span>更多握手券、合影券、签名券的详细使用规则</span>
            <div
              className="check btn"
              onClick={() => {
                window.open('https://www.snh48.com/event_ticket.html#SNH');
              }}
            >
              查看详情
            </div>
          </div>
        </div>
      </div>
      {/* 第四项 */}
      {/* <div className="ep-g4 row">
        <div className="col-md-5 col-md-offset-3">
          <h1 className="orange-title">
            <i>SNH48 GROUP夏季专属EP《爱的回响》</i>
            <br /> 标准版 ╱ 捐赠版 握手券、2年有效期合影券
          </h1>
          <p>
            ❶
            通过购买标准版、标准捐赠版获得的握手券可参与线上云见面或线下握手会。该版本是以云见面为优先级别使用的专属握手券，未来如实际情况允许举办线下见面会，将视情况开放第二级别线下剧场见面会使用；
          </p>
          <p>
            ❷
            通过官方每销售20张标准版、标准捐赠版将随机抽选相关福利，抽中未来2年有效期合影资格券，可用于部分指定握手会活动场次使用，一张合影券仅可供1人在活动现场获得1次与成员在指定区域合影的资格。使用有效期截止至2024年8月30日止，具体场次以官方公布为准。
          </p>
        </div>
        <div className="col-md-2">
          <img className="img-fluid" src="img/ep_init.png" alt="" />
        </div>
      </div> */}
    </div>
  );
}

//页脚
function Foot() {
  function getYear() {
    let currentYear = new Date().getFullYear();
    return currentYear;
  }
  return (
    <div className="foot" onClick={getYear}>
      COPYRIGHT {getYear()} © SNH48 ALL RIGHTS RESERVED.
    </div>
  );
}

//测试组件
function LayuiTest() {
  function openTest() {
    layer.open({
      title: '在线调试',
      content: '配置各种参数，试试效果',
    });
  }
  function open1() {
    layer.open({
      type: 2,
      title: false,
      scrollbar: false,
      content: ['./layer.html'],
    });
  }
  return (
    <div className="layer-button">
      <button onClick={openTest}>openLayer</button>
      <button onClick={open1}>open 1</button>
    </div>
  );
}

ReactDOM.render(React.createElement(App), document.getElementById('root'));
